Scilab Function

gcd - calcul de PGCD

### Calling Sequence

  `[pgcd,U]=gcd(p)`

### Parameters

- `p` : vecteur ligne de polynômes `p=[p1,..,pn] ou d'entiers (type égal à 8)`

### Description

Calcule le PGCD des termes de `p` et une matrice unimodulaire (avec le polynôme inverse) `U` , de degré minimal tels que

`p*U=[0 ... 0 pgcd]`

### Examples

    //cas des polynômes
    s=poly(0,'s');
    p=[s,s*(s+1)^2,2*s^2+s^3];
    [pgcd,u]=gcd(p);
    p*u
    //cas des entiers
    V=int32([2^2*3^5, 2^3*3^2,2^2*3^4*5]);
    [thegcd,U]=gcd(V)
    V*U

### See Also

`bezout` , `lcm` , `hermit` ,